<div style="white-space:nowrap">Path: <?php echo $str->forHTML($log->nicerRelativePath($data['relative_path']))?></div>
<div style="white-space:nowrap">Shared with: 
<?
$names = array();
if ($data['with_uid']) {
	foreach ($data['with_uid'] as $uid => $perms) {
		if ($uid) {
			$names[] = $users->getUsernameById($uid);
		}
	}
}
if ($data['with_gid']) {
	foreach ($data['with_gid'] as $gid => $perms) {
		if ($gid) {
			$names[] = "[".$groups->getNameById($gid)."]";
		}
	}
}
echo implode(", ", $names);
?>
</div>